Doomsday Engine - Feature #1920

Tree navigator widget (libappfw)
2014-12-03 21:59 - skyjake

Status: New Start date: 2014-12-03
Priority: Normal % Done: 0%
Assignee: skyjake

Category: Enhancement

Target version: Modding

Description

A new type of widget is needed for navigating large hierarchical data sets.

e Data could come for example from the file system (FS2 or the native one), available packages, Doomsday Script modules,
definitions, or wiki (reference documentation).

¢ Needs virtualized menu contents to present a small portion of a potentially huge amount of data.

¢ Should be composed of simpler existing widgets like labels, menus and scroll areas.

Related issues:
Precedes Feature #1586: Load/manage add-ons from the home screen Closed 2014-12-04

History

#1 - 2014-12-03 22:01 - skyjake
- Description updated

- Priority changed from Normal to High

#2 - 2015-04-22 05:12 - danij

- Precedes Feature #1586: Load/manage add-ons from the home screen added

#3 - 2015-05-03 17:02 - skyjake
- Target version changed from 42 to 2.0 — Home Ul & Packages

#4 - 2016-03-27 08:04 - skyjake
- Target version changed from 2.0 — Home Ul & Packages to 2.1 (Late 2018)

#5 - 2016-03-27 08:30 - skyjake
- Priority changed from High to Normal

#6 - 2017-02-08 12:06 - skyjake
- Target version changed from 2.1 (Late 2018) to Modding
